/* JMenu 1.0 RC1 | MIT License | https://github.com/jamesjohnson280/JMenu */


/* Menu bar and fonts */
.jmenu {
  background: #fffff;
  box-sizing: border-box;
  line-height: 1;
}

.jmenu .logo{
  padding:10px 16px;
}

/* Menu Button */
input.jm-menu-btn {
  display: none; /* Hide the checkbox */
}

input[type='checkbox'].jm-menu-btn ~ .jm-collapse {
  display: none; /* Hide menu on load */
}

input[type='checkbox']:checked.jm-menu-btn ~ .jm-collapse {
  display: block; /* Open when menu button is clicked */
}

label.jm-menu-btn {
  color: #000000; /* Light gray */
  cursor: pointer;
  display: block;
  padding: 16px 32px;
  float:right;
  margin-top:28px;
  font-size:36px;
}

label.jm-menu-btn:hover {
  color: #333333;
}

.jm-collapse {
  /* Add border between menu and menu button when it's open */
  border-top: 1px #dfdfdf solid; /* Light Gray */
}

.jm-collapse > li {
  /*Separator on mobile*/
  border-bottom: 1px #dfdfdf solid; 
}


/* Menu Items */
.jmenu ul,
.jmenu li {
  list-style: none;
  margin: 0;
  padding: 0;
}

/* Top Level Links */
.jm-collapse > li > a {
  color: #000000; 
  display: block;
  padding: 16px 30px 16px 16px;
  text-decoration: none;
  font-size:20px;
  text-transform:uppercase;
}

/* All Other Links */
.jm-collapse a {
  color: #000000; 
  display: inline-block;
  padding: 16px 32px;
  text-decoration: none;
  font-size:16px;
}

.jmenu a:hover {
  color: #0178ff;
}

/* Submenu Items */
.jmenu ul ul {
  display: none; /* Hidden by default */
}

/* Dropdowns */
.jm-dropdown {}
.jm-dropdown:hover ul {
  display: block;
}

/* Top Level Link on Dropdown*/
.jm-dropdown > a {display:block;}
.jm-dropdown > a::after 	{font-size:14px;line-height:22px;float:right;content: "\276F";width: 1em;height: 1em;text-align: center;transition: all .35s;}



.jm-dropdown:hover > a {
  /* Make top-level menu item stay highlighted when hovering over children */
  color: #fff; 
  background-color:#333333;
}

.jm-dropdown ul {
  background: #fff;
  padding: 0;
}

.jm-dropdown ul a,
.jm-dropdown:hover ul a {
  color: #000000;
}


.jm-dropdown ul a:hover,
.jm-dropdown:hover ul a:hover {
  color: #0178ff;
}

/* Tertiary+ Menu Items */
.jm-dropdown ul ul {
  border-bottom: 1px #ccc solid; /* Light gray */
  border-top: 1px #ccc solid;
  box-shadow: none;
  margin-bottom: 16px;
  max-width: 100%;

}

/* Icons */
.jm-icon-dropdown {
    border: solid #959595; /* Light gray */
    border-width: 0 2px 2px 0;
    display: inline-block;
    margin: 0 0 3px 8px;
    padding: 3px;
    transform: rotate(45deg);
} 

li:hover .jm-icon-dropdown {
    border-color: #fff; /* White */
} 

.jm-icon-menu::before {
  content: '\2630';
}

.jmenu-inner	{max-width:1200px; position:relative; margin: 0px auto; padding: 0px 0px}
.mega li	{display:block!important;background-color: #ffffff;}


.mega-nic {display: grid; grid-column-gap: 50px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:left}
.mega-nic-hardware {display: grid; grid-column-gap: 20px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:left}
.mega-cbd {display: grid; grid-column-gap: 50px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:left}
.mega-about {display: grid; grid-column-gap: 50px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:left}
.mega-learn {display: grid; grid-column-gap: 50px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:left}
.mega-buy {display: grid; grid-column-gap: 50px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:left}
.mega-buy-vaprzon {display: grid; grid-column-gap: 50px;grid-row-gap: 0px;grid-template-columns: 1fr; text-align:justify;padding:0px 26px 0px 26px}
.mega-buy-vaprzon .vpz {padding:0px 0px 30px}

.mega>div {margin-top:30px}

.jm-dropdown ul .mega-title {display:block;font-size:18px;text-transform:uppercase;font-weight:bold;padding:4px 8px;margin: 20px 10px 6px 16px;line-height:1;color:#000000}
.jm-dropdown ul .mega-subtitle {display:block; font-size:16px;text-transform:uppercase;font-weight:bold;padding:4px 8px; margin: 10px 10px 6px 32px;line-height:1;color:#000000}

.jm-dropdown ul .mega-list-text {display:block;font-size:16px;line-height:25px}
.jm-dropdown ul .mega-list-text::before {content: "\25EF";text-align: center;color:#0178ff;font-weight:500;margin-right:10px}



.jm-dropdown ul .mega-list-image-sm, .jm-dropdown ul .mega-list-image-lg {display:block;font-size:16px;height:50px;background-repeat:no-repeat;padding:0px 6px 0px 50px!important;line-height:50px}
.jm-dropdown ul .mega-list-image-lg { background-size: auto 50px;}

.mega-nic a.mega-list-image-sm, .mega-nic  .mega-list-image-lg {margin: 10px 0px 5px 48px}
.mega-cbd a.mega-list-image-sm, .mega-cbd  .mega-list-image-lg {margin: 10px 0px 5px 32px}


.mega .grid-two, .nav-mega .grid-three	{display: grid; grid-column-gap: 20px;grid-row-gap: 0px; grid-template-columns: 1fr; text-align:left}
.mega .graphic	{display:none;}




@media (min-width: 960px) { 
/* yesha fixed from 768px to 960px for ipad menu issue  */
  /* Menu items */
  .jmenu li {
    display: inline-block;
  }

.jm-collapse > li > a { font-size:18px; font-weight:bold; padding: 16px 16px 32px;}

  .jm-collapse > li {
  /*Separator on mobile*/
  border:none;
    }

 .jm-dropdown:hover > a {
  /* top-level menu*/
background-color:#fff;
color:#000000;
}

  /* Dropdowns */



  .jm-dropdown li a {
    display: block;
    padding: 8px 16px;
    white-space: nowrap;
  }
  
  .jm-dropdown ul {
    border:1px solid #333333;
	border-radius: 0px 0px 10px 10px ;
    padding: 8px 0;
    position: absolute;
    min-width: 100%;
	left:0;
  }
  
  /* Menu Button */
  input.jm-menu-btn,
  label.jm-menu-btn {
    display: none; /* Hide menu button */
	
  }
  
  input[type='checkbox'].jm-menu-btn ~ .jm-collapse,
  .jm-collapse {
    display: block; /* Show menu *//* yesha changed from block*/
	float:right;
	margin-top:40px;
	border:none;
    /*margin-right: 250px;*/
  }

    .mega {z-index:100}
	.mega li	{padding:10px 20px 20px!important}
    .jm-dropdown ul .mega-title { font-size:16px; padding:8px 0px;margin: 0px 0px 10px;border-radius:4px;background-color:#000000;color:#ffffff!important;text-align:center;}
    .jm-dropdown ul a.mega-title:hover {color:#0178ff!important}
  
    .jm-dropdown ul .mega-subtitle {padding:8px 0px;margin: 0px;border-radius:4px;border:1px solid #c2c2c2;color:#000000;text-align:center;}
    .jm-dropdown ul .mega-list-image-sm, .jm-dropdown ul .mega-list-image-lg {margin: 10px 0px 0px}

    .jm-dropdown ul .mega-list-image-lg {height:175px;padding:0px 6px 0px 150px!important;line-height:175px;  background-size:auto auto;}

	.mega-nic 	{grid-template-columns: 2fr 3fr}
	.mega-nic-hardware 	{grid-template-columns: 2fr 1fr}
	.mega-cbd	{grid-template-columns: 1fr 1fr 1fr}
	.mega-about	{grid-template-columns: 1fr 1fr 1fr}
	.mega-learn	{grid-template-columns: 1fr 2fr}
    .mega-buy	{grid-template-columns: 2fr 1fr}
    .mega-buy > div:nth-of-type(1)	{grid-column: 2; grid-row: 1  }
    .mega-buy-vaprzon	{grid-template-columns: 1fr 3fr}
    .mega-buy-vaprzon > div:nth-of-type(1)	{grid-column: 2; grid-row: 1 }
    .mega-buy-vaprzon .vpz {padding:10px 0px}


	.mega .grid-two		{grid-template-columns: 1fr 1fr;}
	.mega .grid-three	{grid-template-columns: 1fr 1fr 1fr;}
	.mega .graphic		{display:block;text-align:center;padding:20px}
	
}

